=== debian/changelog ===
med-fichier (3.3.1+repack-4ubuntu1) disco; urgency=medium

  * d/t/build{1,2}: Move -lmedC after file that needs it to fix failure with
    ld --as-needed.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 18 Nov 2018 21:34:35 -0500

med-fichier (3.3.1+repack-4) unstable; urgency=medium

  * Disable tests/parallel on mips as well 

 -- Gilles Filippini <pini@debian.org>  Sat, 21 Jul 2018 14:40:47 +0200

med-fichier (3.3.1+repack-3) unstable; urgency=medium

  * upload to unstable (previous upload erroneously targetted
    experimental)

 -- Gilles Filippini <pini@debian.org>  Sat, 14 Jul 2018 14:47:20 +0200

med-fichier (3.3.1+repack-2) unstable; urgency=medium

  * Fix autopkgtest: use mpicc instread of gcc

 -- Gilles Filippini <pini@debian.org>  Sun, 08 Jul 2018 17:20:46 +0200

med-fichier (3.3.1+repack-1) unstable; urgency=medium

  * Repack source tarball: remove doxygen generated files
  * Build-Depends-Indep: doxygen
  * override_dh_auto_*-indep targets to build the doc
  * Fix doc-base file references
  * Re-enable mpi-support for arm64
  * Upload to unstable

 -- Gilles Filippini <pini@debian.org>  Thu, 05 Jul 2018 21:44:02 +0200

med-fichier (3.3.1-4) experimental; urgency=medium

  * libmedc-dev: install missing include files

 -- Gilles Filippini <pini@debian.org>  Mon, 02 Jul 2018 23:24:52 +0200

med-fichier (3.3.1-3) experimental; urgency=medium

  * New patch fix-tests-c-test11.patch: fix FTBFS on mips due to
    incorrect data type in printf for MED_INT64
  * New patch disable-parallel-test-on-some-archs.patch: disable
    tests/parallel for arches armel, hppa, hurd-i386, and ia64; it
    randomly hangs and I'm not sure it's related to med-fichier

 -- Gilles Filippini <pini@debian.org>  Thu, 07 Jun 2018 20:50:27 +0200

med-fichier (3.3.1-2) experimental; urgency=medium

  * Patch hdf5-1.10-support.patch: fix ISCRUTE_id() as well
  * New patch fix-typo-in-tests.patch to fix typos in some test scripts

 -- Gilles Filippini <pini@debian.org>  Fri, 01 Jun 2018 01:23:43 +0200

med-fichier (3.3.1-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * Disable python module
  * Drop patches fixed upstream:
    - hdf5_link.patch
    - ppc64el-support.patch
    - tests-ignore-native-char-impl.patch
  * Disable patch clang-ftbfs.diff (need some testing)
  * Update patches:
    - hdf5-1.10-support.patch: many chuncks applied upstream, but still
      a lot to do, mainly for Fortran sources
    - parallel-test-seed.patch

 -- Gilles Filippini <pini@debian.org>  Thu, 31 May 2018 17:30:09 +0200

med-fichier (3.0.6-12) unstable; urgency=medium

  * Team upload.
  * [4e2709a] Set version 4.1.3
  * [361c3fe] Remove outdated testsuite-field in d/control
  * [5218d20] Update VCS-fields
  * [f7d40ff] Set compat-level 11
  * [33167e8] Remove uneeded build-depends
  * [ed5f433] Remove myself from uploaders

 -- Anton Gladky <gladk@debian.org>  Tue, 20 Mar 2018 21:57:05 +0100

med-fichier (3.0.6-11) unstable; urgency=medium

  * Team upload.

  [ Gilles Filippini ]
  * Do not ignore testcase failures
  * Temporarily disabling MPI support for arm64 (not functionnal
    currently)
  * New patches:
    - hdf5-1.10-support.patch: fix HDF5 1.10 support (closes: #855130)
    - parallel-test-seed.patch: use the same random() seed for each MPI
      process
    - tests-ignore-native-char-impl.patch: patch some testcase scripts
      to ignore differences from arch specific native char types
  * Drop patch fix-fid-type-in-medequivinfo.patch now included into
    hdf5-1.10-support.patch

  [ Anton Gladky ]
  * Add --oversubscribe option to mpi to escape fails if slots are 
    not available

 -- Anton Gladky <gladk@debian.org>  Mon, 20 Feb 2017 16:37:45 +0100

med-fichier (3.0.6-10.1) unstable; urgency=medium

  * Non-maintainer upload
  * New patch fix-fid-type-in-medequivinfo.patch to fix FTBFS with
    HDF5 1.10 (closes: #841964)

 -- Gilles Filippini <pini@debian.org>  Sun, 30 Oct 2016 18:06:27 +0100

med-fichier (3.0.6-10) unstable; urgency=medium

  * [f6af4e3] Fix autopkgtest.
  * [7603827] Apply cme fix dpkg.

 -- Anton Gladky <gladk@debian.org>  Sun, 04 Sep 2016 20:06:34 +0200
