=== debian/control ===
Source: med-fichier
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Aurelien Jarno <aurel32@debian.org>,
           "Adam C. Powell, IV" <hazelsct@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 11),
               gfortran,
               hdf5-tools (>= 1.8.13+docs-12),
               libhdf5-mpi-dev (>= 1.8.13+docs-12),
               mpi-default-dev,
               mpi-default-bin,
               libtool,
               tk
Build-Depends-Indep: doxygen
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/science-team/med-fichier
Vcs-Git: https://salsa.debian.org/science-team/med-fichier.git
Homepage: http://www.code-aster.org/outils/med/

Package: libmed-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libmed1v5 (= ${binary:Version}),
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Development files for libmed
 MED-fichier (Modélisation et Echanges de Données, in English Modelisation
 and Data Exchange) is a library to store and exchange meshed data or
 computation results. It uses the HDF5 file format to store the data.

Package: libmed-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Documentation for the MED-fichier library
 MED-fichier (Modélisation et Echanges de Données, in English Modelisation
 and Data Exchange) is a library to store and exchange meshed data or
 computation results. It uses the HDF5 file format to store the data.
 .
 This package provides the documentation for the MED-fichier library
 (in French).

Package: libmed-tools
Architecture: any
Multi-Arch: foreign
Section: science
Depends: tk,
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Runtime tools to handle MED files
 MED-fichier (Modélisation et Echanges de Données, in English Modelisation
 and Data Exchange) is a library to store and exchange meshed data or
 computation results. It uses the HDF5 file format to store the data.
 .
 This package contains runtime tools for med-fichier:
  - mdump: a tool to dump MED files
  - xmdump: graphical version of mdump.
  - medconforme: a tool to validate a MED file
  - medimport: a tool to convert a MED v2.1 or v2.2 file into a MED v2.3
    file

Package: libmed1v5
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: libmed-doc,
          libmed-tools
Pre-Depends: ${misc:Pre-Depends}
Breaks: libmed1
Replaces: libmed1
Description: Library to exchange meshed data (Fortran version)
 MED-fichier (Modélisation et Echanges de Données, in English Modelisation
 and Data Exchange) is a library to store and exchange meshed data or
 computation results. It uses the HDF5 file format to store the data.
 .
 This package contains the MED-fichier runtime library (Fortran version).

Package: libmedc-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libhdf5-mpi-dev,
         libmedc1v5 (= ${binary:Version}),
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Development files for libmedc
 MED-fichier (Modélisation et Echanges de Données, in English Modelisation
 and Data Exchange) is a library to store and exchange meshed data or
 computation results. It uses the HDF5 file format to store the data.
 .
 This package contains the header files and static library needed to
 compile applications that use libmedC.

Package: libmedc1v5
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: libmed-doc,
          libmed-tools
Pre-Depends: ${misc:Pre-Depends}
Breaks: libmedc1
Replaces: libmedc1
Description: Library to exchange meshed data (C version)
 MED-fichier (Modélisation et Echanges de Données, in English Modelisation
 and Data Exchange) is a library to store and exchange meshed data or
 computation results. It uses the HDF5 file format to store the data.
 .
 This package contains the MED-fichier runtime library (C version).

Package: libmedimport-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libmedc-dev,
         libmedimport0v5 (= ${binary:Version}),
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Provides: libmedimportcxx-dev
Description: Development files for libmedimport0
 MED-fichier (Modélisation et Echanges de Données, in English Modelisation
 and Data Exchange) is a library to store and exchange meshed data or
 computation results. It uses the HDF5 file format to store the data.
 .
 This package contains the header files and static library needed to
 compile applications that use libmedimport, including C++ applications.

Package: libmedimport0v5
Architecture: any
Multi-Arch: same
Section: libs
Depends: libmedc1v5,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: libmed-doc,
          libmed-tools
Pre-Depends: ${misc:Pre-Depends}
Breaks: libmedimport0
Replaces: libmedimport0
Description: Library to import old version files
 MED-fichier (Modélisation et Echanges de Données, in English Modelisation
 and Data Exchange) is a library to store and exchange meshed data or
 computation results. It uses the HDF5 file format to store the data.
 .
 This package contains the library able to import old version files (C
 version).
