=== debian/watch ===
version=4
http://www.salome-platform.org/downloads/current-version \
  http://files.salome-platform.org/Salome/other/med-([\d\.]*).tar.gz \
  debian debian/orig-tar.sh
