## med-fichier 4.0.0%2Brepack

=== python/CMakeLists.txt ===
--- 
+++ 
@@ -24,6 +24,7 @@
   medparameter_module.i
   medprofile_module.i
   medsubdomain_module.i
+  medstructelement_module.i
 )
 
 IF(APPLE)
